XTMISC_INIT_GET_PC_COLOURMAP(3)

EXPERIMENTAL_FUNC
xtmisc_init_get_pc_colourmap - Get PseudoColour colourmap with a minimum of free colourcells.

SYNOPSIS
#include <karma_xtmisc.h>

Colormap xtmisc_init_get_pc_colourmap

(Screen *screen, unsigned int min_ccells, unsigned int num_ccells, flag verbose, flag *avoid_flash)

DESCRIPTION
Get PseudoColour colourmap with a minimum of free colourcells.

screen
    The screen.

min_ccells
    The minimum number of free colourcells required.

num_ccells
    The number of free colourcells desired.

verbose
    If TRUE, verbose messages are given.

avoid_flash
    If this is not NULL and a PseudoColour colourmap has to be created to satisfy colour requirements and a TrueColour visual is available then TRUE is written here, else FALSE is written here.

RETURN VALUE
The colourmap.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/